package com.jeesharp.business.modules.food.service;

import com.jeesharp.business.modules.food.entity.FoodCompanyAccount;
import com.jeesharp.framework.mybatis.core.service.BaseInterface;
import com.jeesharp.framework.pojo.query.PaginationVO;

public interface FoodCompanyAccountService extends BaseInterface<FoodCompanyAccount, PaginationVO> {

    FoodCompanyAccount getByCompanyId(String companyId, String tenantCode);

    FoodCompanyAccount getEnabledByCompanyId(String companyId, String tenantCode);

    FoodCompanyAccount lockById(String id, String tenantCode);

    FoodCompanyAccount lockByCompanyId(String companyId, String tenantCode);

    void insertAccount(FoodCompanyAccount account);

    void updateAccount(FoodCompanyAccount account);
}
